services:

  framadate:
    # ports:
    #   - 8088:80
    image: datekaz
    container_name: ${framadateServName}
    restart: ${restartPolicy}
    depends_on:
      - db
    networks:
      - framadateNet
      - postfixNet
    external_links:
      - ${framadateDBName}:db
      - ${smtpServName}:${smtpHost}
    volumes:
      - ./config/framadate.conf:/etc/apache2/sites-available/000-default.conf
      - dateAdmin:/var/framadate/admin
      - dateConfig:/var/framadate/app/inc
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${framadateServName}-admin.rule=Host(`${dateHost}.${domain}`) && PathPrefix(`/admin`)"
      - "traefik.http.routers.${framadateServName}-admin.middlewares=test-adminipallowlist@file"
      - "traefik.http.routers.${framadateServName}.rule=Host(`${dateHost}.${domain}`)"
      - "traefik.docker.network=framadateNet"

  db:
    image: mariadb:10.5
    container_name: ${framadateDBName}
    restart: ${restartPolicy}
    networks:
      - framadateNet
    env_file:
      - ../../secret/env-${framadateDBName}
    volumes:
      - dateDB:/var/lib/mysql
      - /home/sauve/:/svg/
      - /etc/localtime:/etc/localtime:ro
      - /etc/timezone:/etc/timezone:ro

volumes:
  dateDB:
  dateConfig:
  dateAdmin:
  dateLocale:

networks:
   framadateNet:
    external: true
    name: framadateNet
   postfixNet:
    external: true
    name: postfixNet
